//*******************************************************
//       Copyright (c) 2003 Gennady A. Petrov
//*******************************************************
// initialise standart unit (see uses) for use with TFCResStrManager

{$I FCCompilers.inc}

unit FCRSConsts;

interface

implementation
uses
  Consts,
  FCResStrings;

initialization

  with FCResStrHolder do
  begin
    SetStringValue('Consts_SOpenFileTitle', @SOpenFileTitle);
    SetStringValue('Consts_SCantWriteResourceStreamError', @SCantWriteResourceStreamError);
    SetStringValue('Consts_SDuplicateReference', @SDuplicateReference);
    SetStringValue('Consts_SClassMismatch', @SClassMismatch);
    SetStringValue('Consts_SInvalidTabIndex', @SInvalidTabIndex);
    SetStringValue('Consts_SInvalidTabPosition', @SInvalidTabPosition);
    SetStringValue('Consts_SInvalidTabStyle', @SInvalidTabStyle);
    SetStringValue('Consts_SInvalidBitmap', @SInvalidBitmap);
    SetStringValue('Consts_SInvalidIcon', @SInvalidIcon);
    SetStringValue('Consts_SInvalidMetafile', @SInvalidMetafile);
    SetStringValue('Consts_SInvalidPixelFormat', @SInvalidPixelFormat);
    SetStringValue('Consts_SInvalidImage', @SInvalidImage);
    SetStringValue('Consts_SBitmapEmpty', @SBitmapEmpty);
    SetStringValue('Consts_SScanLine', @SScanLine);
    SetStringValue('Consts_SChangeIconSize', @SChangeIconSize);
    SetStringValue('Consts_SOleGraphic', @SOleGraphic);
    SetStringValue('Consts_SUnknownExtension', @SUnknownExtension);
    SetStringValue('Consts_SUnknownClipboardFormat', @SUnknownClipboardFormat);
    SetStringValue('Consts_SOutOfResources', @SOutOfResources);
    SetStringValue('Consts_SNoCanvasHandle', @SNoCanvasHandle);
    SetStringValue('Consts_SInvalidImageSize', @SInvalidImageSize);
    SetStringValue('Consts_STooManyImages', @STooManyImages);
    SetStringValue('Consts_SDimsDoNotMatch', @SDimsDoNotMatch);
    SetStringValue('Consts_SInvalidImageList', @SInvalidImageList);
    SetStringValue('Consts_SReplaceImage', @SReplaceImage);
    SetStringValue('Consts_SImageIndexError', @SImageIndexError);
    SetStringValue('Consts_SImageReadFail', @SImageReadFail);
    SetStringValue('Consts_SImageWriteFail', @SImageWriteFail);
    SetStringValue('Consts_SWindowDCError', @SWindowDCError);
    SetStringValue('Consts_SClientNotSet', @SClientNotSet);
    SetStringValue('Consts_SWindowClass', @SWindowClass);
    SetStringValue('Consts_SWindowCreate', @SWindowCreate);
    SetStringValue('Consts_SCannotFocus', @SCannotFocus);
    SetStringValue('Consts_SParentRequired', @SParentRequired);
    SetStringValue('Consts_SParentGivenNotAParent', @SParentGivenNotAParent);
    SetStringValue('Consts_SMDIChildNotVisible', @SMDIChildNotVisible);
    SetStringValue('Consts_SVisibleChanged', @SVisibleChanged);
    SetStringValue('Consts_SCannotShowModal', @SCannotShowModal);
    SetStringValue('Consts_SScrollBarRange', @SScrollBarRange);
    SetStringValue('Consts_SPropertyOutOfRange', @SPropertyOutOfRange);
    SetStringValue('Consts_SMenuIndexError', @SMenuIndexError);
    SetStringValue('Consts_SMenuReinserted', @SMenuReinserted);
    SetStringValue('Consts_SMenuNotFound', @SMenuNotFound);
    SetStringValue('Consts_SNoTimers', @SNoTimers);
    SetStringValue('Consts_SNotPrinting', @SNotPrinting);
    SetStringValue('Consts_SPrinting', @SPrinting);
    SetStringValue('Consts_SPrinterIndexError', @SPrinterIndexError);
    SetStringValue('Consts_SInvalidPrinter', @SInvalidPrinter);
    SetStringValue('Consts_SDeviceOnPort', @SDeviceOnPort);
    SetStringValue('Consts_SGroupIndexTooLow', @SGroupIndexTooLow);
    SetStringValue('Consts_STwoMDIForms', @STwoMDIForms);
    SetStringValue('Consts_SNoMDIForm', @SNoMDIForm);
    SetStringValue('Consts_SImageCanvasNeedsBitmap', @SImageCanvasNeedsBitmap);
    SetStringValue('Consts_SControlParentSetToSelf', @SControlParentSetToSelf);
    SetStringValue('Consts_SOKButton', @SOKButton);
    SetStringValue('Consts_SCancelButton', @SCancelButton);
    SetStringValue('Consts_SYesButton', @SYesButton);
    SetStringValue('Consts_SNoButton', @SNoButton);
    SetStringValue('Consts_SHelpButton', @SHelpButton);
    SetStringValue('Consts_SCloseButton', @SCloseButton);
    SetStringValue('Consts_SIgnoreButton', @SIgnoreButton);
    SetStringValue('Consts_SRetryButton', @SRetryButton);
    SetStringValue('Consts_SAbortButton', @SAbortButton);
    SetStringValue('Consts_SAllButton', @SAllButton);

    SetStringValue('Consts_SCannotDragForm', @SCannotDragForm);
    SetStringValue('Consts_SPutObjectError', @SPutObjectError);
    SetStringValue('Consts_SCardDLLNotLoaded', @SCardDLLNotLoaded);
    SetStringValue('Consts_SDuplicateCardId', @SDuplicateCardId);

    SetStringValue('Consts_SDdeErr', @SDdeErr);
    SetStringValue('Consts_SDdeConvErr', @SDdeConvErr);
    SetStringValue('Consts_SDdeMemErr', @SDdeMemErr);
    SetStringValue('Consts_SDdeNoConnect', @SDdeNoConnect);

    SetStringValue('Consts_SFB', @SFB);
    SetStringValue('Consts_SFG', @SFG);
    SetStringValue('Consts_SBG', @SBG);
    SetStringValue('Consts_SOldTShape', @SOldTShape);
    SetStringValue('Consts_SVMetafiles', @SVMetafiles);
    SetStringValue('Consts_SVEnhMetafiles', @SVEnhMetafiles);
    SetStringValue('Consts_SVIcons', @SVIcons);
    SetStringValue('Consts_SVBitmaps', @SVBitmaps);
    SetStringValue('Consts_SGridTooLarge', @SGridTooLarge);
    SetStringValue('Consts_STooManyDeleted', @STooManyDeleted);
    SetStringValue('Consts_SIndexOutOfRange', @SIndexOutOfRange);
    SetStringValue('Consts_SFixedColTooBig', @SFixedColTooBig);
    SetStringValue('Consts_SFixedRowTooBig', @SFixedRowTooBig);
    SetStringValue('Consts_SInvalidStringGridOp', @SInvalidStringGridOp);
    SetStringValue('Consts_SInvalidEnumValue', @SInvalidEnumValue);
    SetStringValue('Consts_SInvalidNumber', @SInvalidNumber);
    SetStringValue('Consts_SOutlineIndexError', @SOutlineIndexError);
    SetStringValue('Consts_SOutlineExpandError', @SOutlineExpandError);
    SetStringValue('Consts_SInvalidCurrentItem', @SInvalidCurrentItem);
    SetStringValue('Consts_SMaskErr', @SMaskErr);
    SetStringValue('Consts_SMaskEditErr', @SMaskEditErr);
    SetStringValue('Consts_SOutlineError', @SOutlineError);
    SetStringValue('Consts_SOutlineBadLevel', @SOutlineBadLevel);
    SetStringValue('Consts_SOutlineSelection', @SOutlineSelection);
    SetStringValue('Consts_SOutlineFileLoad', @SOutlineFileLoad);
    SetStringValue('Consts_SOutlineLongLine', @SOutlineLongLine);
    SetStringValue('Consts_SOutlineMaxLevels', @SOutlineMaxLevels);

    SetStringValue('Consts_SMsgDlgWarning', @SMsgDlgWarning);
    SetStringValue('Consts_SMsgDlgError', @SMsgDlgError);
    SetStringValue('Consts_SMsgDlgInformation', @SMsgDlgInformation);
    SetStringValue('Consts_SMsgDlgConfirm', @SMsgDlgConfirm);
    SetStringValue('Consts_SMsgDlgYes', @SMsgDlgYes);
    SetStringValue('Consts_SMsgDlgNo', @SMsgDlgNo);
    SetStringValue('Consts_SMsgDlgOK', @SMsgDlgOK);
    SetStringValue('Consts_SMsgDlgCancel', @SMsgDlgCancel);
    SetStringValue('Consts_SMsgDlgHelp', @SMsgDlgHelp);
    SetStringValue('Consts_SMsgDlgHelpNone', @SMsgDlgHelpNone);
    SetStringValue('Consts_SMsgDlgHelpHelp', @SMsgDlgHelpHelp);
    SetStringValue('Consts_SMsgDlgAbort', @SMsgDlgAbort);
    SetStringValue('Consts_SMsgDlgRetry', @SMsgDlgRetry);
    SetStringValue('Consts_SMsgDlgIgnore', @SMsgDlgIgnore);
    SetStringValue('Consts_SMsgDlgAll', @SMsgDlgAll);
    SetStringValue('Consts_SMsgDlgNoToAll', @SMsgDlgNoToAll);
    SetStringValue('Consts_SMsgDlgYesToAll', @SMsgDlgYesToAll);

    SetStringValue('Consts_SmkcBkSp', @SmkcBkSp);
    SetStringValue('Consts_SmkcTab', @SmkcTab);
    SetStringValue('Consts_SmkcEsc', @SmkcEsc);
    SetStringValue('Consts_SmkcEnter', @SmkcEnter);
    SetStringValue('Consts_SmkcSpace', @SmkcSpace);
    SetStringValue('Consts_SmkcPgUp', @SmkcPgUp);
    SetStringValue('Consts_SmkcPgDn', @SmkcPgDn);
    SetStringValue('Consts_SmkcEnd', @SmkcEnd);
    SetStringValue('Consts_SmkcHome', @SmkcHome);
    SetStringValue('Consts_SmkcLeft', @SmkcLeft);
    SetStringValue('Consts_SmkcUp', @SmkcUp);
    SetStringValue('Consts_SmkcRight', @SmkcRight);
    SetStringValue('Consts_SmkcDown', @SmkcDown);
    SetStringValue('Consts_SmkcIns', @SmkcIns);
    SetStringValue('Consts_SmkcDel', @SmkcDel);
    SetStringValue('Consts_SmkcShift', @SmkcShift);
    SetStringValue('Consts_SmkcCtrl', @SmkcCtrl);
    SetStringValue('Consts_SmkcAlt', @SmkcAlt);

    SetStringValue('Consts_srUnknown', @srUnknown);
    SetStringValue('Consts_srNone', @srNone);
    SetStringValue('Consts_SOutOfRange', @SOutOfRange);

    SetStringValue('Consts_SDateEncodeError', @SDateEncodeError);
    SetStringValue('Consts_SDefaultFilter', @SDefaultFilter);
    SetStringValue('Consts_sAllFilter', @sAllFilter);
    SetStringValue('Consts_SNoVolumeLabel', @SNoVolumeLabel);
    SetStringValue('Consts_SInsertLineError', @SInsertLineError);

    SetStringValue('Consts_SConfirmCreateDir', @SConfirmCreateDir);
    SetStringValue('Consts_SSelectDirCap', @SSelectDirCap);
    SetStringValue('Consts_SDirNameCap', @SDirNameCap);
    SetStringValue('Consts_SDrivesCap', @SDrivesCap);
    SetStringValue('Consts_SDirsCap', @SDirsCap);
    SetStringValue('Consts_SFilesCap', @SFilesCap);
    SetStringValue('Consts_SNetworkCap', @SNetworkCap);

    SetStringValue('Consts_SColorPrefix', @SColorPrefix);
    SetStringValue('Consts_SColorTags', @SColorTags);

    SetStringValue('Consts_SInvalidClipFmt', @SInvalidClipFmt);
    SetStringValue('Consts_SIconToClipboard', @SIconToClipboard);
    SetStringValue('Consts_SCannotOpenClipboard', @SCannotOpenClipboard);

    SetStringValue('Consts_SDefault', @SDefault);

    SetStringValue('Consts_SInvalidMemoSize', @SInvalidMemoSize);
    SetStringValue('Consts_SCustomColors', @SCustomColors);
    SetStringValue('Consts_SInvalidPrinterOp', @SInvalidPrinterOp);
    SetStringValue('Consts_SNoDefaultPrinter', @SNoDefaultPrinter);

    SetStringValue('Consts_SIniFileWriteError', @SIniFileWriteError);

    SetStringValue('Consts_SBitsIndexError', @SBitsIndexError);

    SetStringValue('Consts_SUntitled', @SUntitled);

    SetStringValue('Consts_SInvalidRegType', @SInvalidRegType);

    SetStringValue('Consts_SUnknownConversion', @SUnknownConversion);
    SetStringValue('Consts_SDuplicateMenus', @SDuplicateMenus);

    SetStringValue('Consts_SPictureLabel', @SPictureLabel);
    SetStringValue('Consts_SPictureDesc', @SPictureDesc);
    SetStringValue('Consts_SPreviewLabel', @SPreviewLabel);

    SetStringValue('Consts_SCannotOpenAVI', @SCannotOpenAVI);

    SetStringValue('Consts_SNotOpenErr', @SNotOpenErr);
    SetStringValue('Consts_SMPOpenFilter', @SMPOpenFilter);
    SetStringValue('Consts_SMCINil', @SMCINil);
    SetStringValue('Consts_SMCIAVIVideo', @SMCIAVIVideo);
    SetStringValue('Consts_SMCICDAudio', @SMCICDAudio);
    SetStringValue('Consts_SMCIDAT', @SMCIDAT);
    SetStringValue('Consts_SMCIDigitalVideo', @SMCIDigitalVideo);
    SetStringValue('Consts_SMCIMMMovie', @SMCIMMMovie);
    SetStringValue('Consts_SMCIOther', @SMCIOther);
    SetStringValue('Consts_SMCIOverlay', @SMCIOverlay);
    SetStringValue('Consts_SMCIScanner', @SMCIScanner);
    SetStringValue('Consts_SMCISequencer', @SMCISequencer);
    SetStringValue('Consts_SMCIVCR', @SMCIVCR);
    SetStringValue('Consts_SMCIVideodisc', @SMCIVideodisc);
    SetStringValue('Consts_SMCIWaveAudio', @SMCIWaveAudio);
    SetStringValue('Consts_SMCIUnknownError', @SMCIUnknownError);

    SetStringValue('Consts_SBoldItalicFont', @SBoldItalicFont);
    SetStringValue('Consts_SBoldFont', @SBoldFont);
    SetStringValue('Consts_SItalicFont', @SItalicFont);
    SetStringValue('Consts_SRegularFont', @SRegularFont);

    SetStringValue('Consts_SPropertiesVerb', @SPropertiesVerb);

    SetStringValue('Consts_SServiceFailed', @SServiceFailed);
    SetStringValue('Consts_SExecute', @SExecute);
    SetStringValue('Consts_SStart', @SStart);
    SetStringValue('Consts_SStop', @SStop);
    SetStringValue('Consts_SPause', @SPause);
    SetStringValue('Consts_SContinue', @SContinue);
    SetStringValue('Consts_SInterrogate', @SInterrogate);
    SetStringValue('Consts_SShutdown', @SShutdown);
    SetStringValue('Consts_SCustomError', @SCustomError);
    SetStringValue('Consts_SServiceInstallOK', @SServiceInstallOK);
    SetStringValue('Consts_SServiceInstallFailed', @SServiceInstallFailed);
    SetStringValue('Consts_SServiceUninstallOK', @SServiceUninstallOK);
    SetStringValue('Consts_SServiceUninstallFailed', @SServiceUninstallFailed);

    SetStringValue('Consts_SInvalidActionRegistration', @SInvalidActionRegistration);
    SetStringValue('Consts_SInvalidActionUnregistration', @SInvalidActionUnregistration);
    SetStringValue('Consts_SInvalidActionEnumeration', @SInvalidActionEnumeration);
    SetStringValue('Consts_SInvalidActionCreation', @SInvalidActionCreation);

    SetStringValue('Consts_SDockedCtlNeedsName', @SDockedCtlNeedsName);
    SetStringValue('Consts_SDockTreeRemoveError', @SDockTreeRemoveError);
    SetStringValue('Consts_SDockZoneNotFound', @SDockZoneNotFound);
    SetStringValue('Consts_SDockZoneHasNoCtl', @SDockZoneHasNoCtl);

    SetStringValue('Consts_SAllCommands', @SAllCommands);

    SetStringValue('Consts_SDuplicateItem', @SDuplicateItem);

    SetStringValue('Consts_STextNotFound', @STextNotFound);
    SetStringValue('Consts_SBrowserExecError', @SBrowserExecError);

    SetStringValue('Consts_SColorBoxCustomCaption', @SColorBoxCustomCaption);

    SetStringValue('Consts_SMultiSelectRequired', @SMultiSelectRequired);

    SetStringValue('Consts_SKeyCaption', @SKeyCaption);
    SetStringValue('Consts_SValueCaption', @SValueCaption);
    SetStringValue('Consts_SKeyConflict', @SKeyConflict);
    SetStringValue('Consts_SKeyNotFound', @SKeyNotFound);
    SetStringValue('Consts_SNoColumnMoving', @SNoColumnMoving);
    SetStringValue('Consts_SNoEqualsInKey', @SNoEqualsInKey);

    SetStringValue('Consts_SSendError', @SSendError);
    SetStringValue('Consts_SAssignSubItemError', @SAssignSubItemError);

    SetStringValue('Consts_SDeleteItemWithSubItems', @SDeleteItemWithSubItems);
    {$IFDEF DELPHI7}
    SetStringValue('Consts_SDeleteNotAllowed', @SDeleteNotAllowed);
    SetStringValue('Consts_SMoveNotAllowed', @SMoveNotAllowed);
    {$ENDIF}

    SetStringValue('Consts_SMoreButtons', @SMoreButtons);
    SetStringValue('Consts_SErrorDownloadingURL', @SErrorDownloadingURL);
    {$IFDEF DELPHI7}
    SetStringValue('Consts_SUrlMonDllMissing', @SUrlMonDllMissing);
    {$ENDIF}    
    SetStringValue('Consts_SAllActions', @SAllActions);
    SetStringValue('Consts_SNoCategory', @SNoCategory);
    SetStringValue('Consts_SExpand', @SExpand);
    SetStringValue('Consts_SErrorSettingPath', @SErrorSettingPath);
    SetStringValue('Consts_SLBPutError', @SLBPutError);
    SetStringValue('Consts_SErrorLoadingFile', @SErrorLoadingFile);
    SetStringValue('Consts_SResetUsageData', @SResetUsageData);
    SetStringValue('Consts_SFileRunDialogTitle', @SFileRunDialogTitle);
    SetStringValue('Consts_SNoName', @SNoName);
    SetStringValue('Consts_SErrorActionManagerNotAssigned', @SErrorActionManagerNotAssigned);
    SetStringValue('Consts_SAddRemoveButtons', @SAddRemoveButtons);
    SetStringValue('Consts_SResetActionToolBar', @SResetActionToolBar);
    SetStringValue('Consts_SCustomize', @SCustomize);
    SetStringValue('Consts_SSeparator', @SSeparator);
    SetStringValue('Consts_SCirularReferencesNotAllowed', @SCirularReferencesNotAllowed);
    SetStringValue('Consts_SCannotHideActionBand', @SCannotHideActionBand);
    SetStringValue('Consts_SErrorSettingCount', @SErrorSettingCount);
    SetStringValue('Consts_SListBoxMustBeVirtual', @SListBoxMustBeVirtual);
    SetStringValue('Consts_SUnableToSaveSettings', @SUnableToSaveSettings);
    {$IFDEF DELPHI7}
    SetStringValue('Consts_SRestoreDefaultSchedule', @SRestoreDefaultSchedule);
    {$ENDIF}

    {$IFDEF DELPHI7}
    SetStringValue('Consts_SNoGetItemEventHandler', @SNoGetItemEventHandler);
    SetStringValue('Consts_SInvalidColorMap', @SInvalidColorMap);
    SetStringValue('Consts_SDuplicateActionBarStyleName', @SDuplicateActionBarStyleName);
    SetStringValue('Consts_SStandardStyleActionBars', @SStandardStyleActionBars);
    SetStringValue('Consts_SXPStyleActionBars', @SXPStyleActionBars);
    SetStringValue('Consts_SActionBarStyleMissing', @SActionBarStyleMissing);
    {$ENDIF}
  end;

end.


